# $Revision: 1.23 $, $Date: 2004/10/08 04:52:43 $
Summary:	DJGPP GNU binary utility development utilities - gcc
Summary(es):	Utilitarios para desarrollo de binarios de la GNU - DJGPP gcc
Summary(fr):	Utilitaires de dveloppement binaire de GNU - DJGPP gcc
Summary(pl):	Skrone narzdzia programistyczne GNU dla DJGPP - gcc
Summary(pt_BR): Utilitrios para desenvolvimento de binrios da GNU - DJGPP gcc
Summary(tr):    GNU gelitirme aralar - DJGPP gcc
Name:		crossdjgpp-gcc
Version:	3.3.2
Release:	2
Epoch:		1
License:	GPL
Group:		Development/Languages
Source0:	ftp://gcc.gnu.org/pub/gcc/releases/gcc-%{version}/gcc-%{version}.tar.bz2
# Source0-md5:	65999f654102f5438ac8562d13a6eced
BuildRequires:	crossdjgpp-platform
BuildRequires:	crossdjgpp-binutils
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	autoconf
BuildRequires:	/bin/bash
Requires:	crossdjgpp-binutils
Requires:	crossdjgpp-platform
Requires:	gcc-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cxx		0
%define		target		i386-pc-msdosdjgpp
%define		arch		%{_prefix}/%{target}
%define		gccarch		%{_libdir}/gcc-lib/%{target}
%define		gcclib		%{_libdir}/gcc-lib/%{target}/%{version}
%define		no_install_post_strip	1

%description
DJGPP is a port of GNU GCC to the DOS environment. (It stands for DJ's
Gnu Programming Platform, if it has to stand for something, but it's
best left ambiguous.)

This package contains cross targeted gcc.

%description -l de
Dieses Paket enthlt einen Cross-gcc, der es erlaubt, auf einem
anderem Rechner Code fr DOS zu generieren.

%description -l pl
DJGPP to port GNU GCC dla rodowiska DOS (skrt oznacza DJ's Gnu
Programming Platform, jeli ju koniecznie ma co oznacza).

Ten pakiet zawiera gcc generujce skronie kod dla DOS.

%package c++
Summary:	DJGPP GNU Binary Utility Development Utilities - g++
Summary(pl):	Narzdzia programistyczne GNU DJGPP - g++
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description c++
DJGPP is a port of GNU GCC to the DOS environment. (It stands for DJ's
Gnu Programming Platform, if it has to stand for something, but it's
best left ambiguous.)

This package contains cross targeted g++ and (static) libstdc++.

%description c++ -l pl
DJGPP to port GNU GCC dla rodowiska DOS (skrt oznacza DJ's Gnu
Programming Platform, jeli ju koniecznie ma co oznacza).

Ten pakiet zawiera g++ skompilowane jako kompilator skrony oraz
(statyczne) libstdc++.

# does this even work?
%package g77
Summary:	DJGPP GNU Binary Utility Development Utilities - g77
Summary(pl):	Narzdzia programistyczne GNU DJGPP - g77
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description g77
DJGPP is a port of GNU GCC to the DOS environment. (It stands for DJ's
Gnu Programming Platform, if it has to stand for something, but it's
best left ambiguous.)

This package contains cross targeted g77.

%description g77 -l pl
DJGPP to port GNU GCC dla rodowiska DOS (skrt oznacza DJ's Gnu
Programming Platform, jeli ju koniecznie ma co oznacza).

Ten pakiet zawiera g77 skompilowane jako kompilator skrony.

%prep
%setup -q -n gcc-%{version}

%build
rm -rf obj-%{target}
install -d obj-%{target}
cd obj-%{target}

CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcflags}" \
TEXCONFIG=false ../configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--disable-shared \
	--enable-haifa \
        --enable-languages="c,f77" \
	--enable-long-long \
	--enable-namespaces \
	--with-gnu-as \
	--with-gnu-ld \
	--with-system-zlib \
	--with-multilib \
	--without-x \
	--target=%{target}

# kluge, we already have full system headers and libraries ready,
# needed to get right limits.h
cd gcc
cp -f Makefile Makefile.new
sed -e "s|^SYSTEM_HEADER_DIR.*|SYSTEM_HEADER_DIR := %{_prefix}/%{target}/include|" \
	Makefile.new > Makefile
rm -f Makefile.new
cd ..

# YAK (Yet Another Kluge) :<
cd ../libstdc++-v3
cp -f configure configure.tmp
# don't use newlib, we want djgpp
sed -e 's|os_include_dir="config/os/newlib"|#&|' configure.tmp > configure
cd ../obj-%{target}
# sigh... it still doesn't work, produces sth<char> in assembly

PATH=$PATH:/sbin:%{_sbindir}

cd ..
#LDFLAGS_FOR_TARGET="%{rpmldflags}"

%{__make} -C obj-%{target}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir},%{_bindir}}

cd obj-%{target}
PATH=$PATH:/sbin:%{_sbindir}

%{__make} -C gcc install \
	prefix=%{_prefix} \
	mandir=%{_mandir} \
	infodir=%{_infodir} \
	gxx_include_dir=%{arch}/include/g++ \
	DESTDIR=$RPM_BUILD_ROOT

# c++filt is provided by binutils
#rm -f $RPM_BUILD_ROOT%{_bindir}/i386-djgpp-c++filt

# what is this there for???
rm -f $RPM_BUILD_ROOT%{_libdir}/libiberty.a

# the same... make hardlink
#ln -f $RPM_BUILD_ROOT%{arch}/bin/gcc $RPM_BUILD_ROOT%{_bindir}/%{target}-gcc

%{target}-strip -g $RPM_BUILD_ROOT%{gcclib}/libgcc.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{target}-gcc
%attr(755,root,root) %{_bindir}/%{target}-cpp
#%dir %{arch}/bin
#%attr(755,root,root) %{arch}/bin/cpp
#%attr(755,root,root) %{arch}/bin/gcc
#%attr(755,root,root) %{arch}/bin/gcov
#%%{arch}/include/_G_config.h
%dir %{gccarch}
%dir %{gcclib}
%attr(755,root,root) %{gcclib}/cc1
#%attr(755,root,root) %{gcclib}/tradcpp0
#%attr(755,root,root) %{gcclib}/cpp0
%attr(755,root,root) %{gcclib}/collect2
#%%{gcclib}/SYSCALLS.c.X
%{gcclib}/libgcc.a
%{gcclib}/specs*
%dir %{gcclib}/include
%{gcclib}/include/*.h
#%%{gcclib}/include/iso646.h
#%%{gcclib}/include/limits.h
#%%{gcclib}/include/proto.h
#%%{gcclib}/include/stdarg.h
#%%{gcclib}/include/stdbool.h
#%%{gcclib}/include/stddef.h
#%%{gcclib}/include/syslimits.h
#%%{gcclib}/include/varargs.h
#%%{gcclib}/include/va-*.h
%{_mandir}/man1/%{target}-gcc.1*

%if %{cxx}
%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{target}-[cg]++
%{arch}/include/g++
%{arch}/lib/libstdc++.a
%attr(755,root,root) %{gcclib}/cc1plus
%{gcclib}/libstdc++*
%{gcclib}/include/new.h
%{gcclib}/include/exception
%{gcclib}/include/new
%{gcclib}/include/typeinfo
%{_mandir}/man1/%{target}-g++.1*
%endif

%files g77
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{target}-g77
%attr(755,root,root) %{gcclib}/f771
%{_mandir}/man1/%{target}-g77.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossdjgpp-gcc.spec,v $
Revision 1.23  2004/10/08 04:52:43  ankry
- R: gcc-dirs, rel++

Revision 1.22  2004/09/20 00:07:41  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.21  2004/07/20 11:36:41  qboosh
- de fix(?) (not only i386)

Revision 1.20  2004/06/20 13:19:23  qboosh
- use proper libdir

Revision 1.19  2003/12/19 01:17:38  undefine
- seems to build...

Revision 1.18  2003/12/06 15:08:03  undefine
- disable gcov

Revision 1.17  2003/12/06 14:37:33  undefine
- update md5sum

Revision 1.16  2003/12/06 14:12:03  undefine
- update to 3.3.2, release 0.1

Revision 1.15  2003/12/06 12:20:21  undefine
- release 2 to rebuild with ac

Revision 1.14  2003/08/29 23:30:32  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.13  2003/08/21 07:24:37  ankry
- s/kroskompilator/kompilator skrony/

Revision 1.12  2003/08/06 16:51:52  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.11  2003/06/27 13:10:44  mmazur
- mass commit; now req: name = epoch:version

Revision 1.10  2003/05/26 16:24:50  malekith
- massive attack: adding Source-md5

Revision 1.9  2003/05/25 05:46:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/02/28 10:07:32  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.7  2002/04/25 16:07:16  arturs
fixed a small typo

Revision 1.6  2002/04/22 16:03:40  ankry
- fixed URL for gcc sources.

Revision 1.5  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/11 11:34:51  qboosh
- adapterized, pl translations, cosmetics

Revision 1.2  2002/01/10 14:32:54  malekith
- gcc 3.0.3
- c++ doesn't work (problems with libstdc++)

Revision 1.1  2002/01/10 13:25:23  malekith
- other stuff for DJGPP, nfy
